
MOVLF   macro lit, freg
        movlw lit
        movwf freg
        endm

LCD_DATA macro Data
        MOVLF 1, LCD_MODE
        MOVLF Data, LCD_BUFF
        call _lcd_data
        endm

LCD_INST macro Inst
        MOVLF 0, LCD_MODE
        MOVLF Inst, LCD_BUFF
        call _lcd_data
        endm

DELAY_US macro literal
        movlw literal * (_XTAL_FREQ)/(.12000000)
        movwf DELAY_A
        decfsz DELAY_A,f
        goto $ - .1
        endm

DELAY_MS macro literal
        movlw literal
        movwf DELAY_B
        call _delay_1ms
        decfsz DELAY_B,f
        goto $ - .2
        endm
